Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.MultipleAssignmentExprAltContext

- org.apache.groovy.parser.antlr4.GroovyParser.MultipleAssignmentExprAltContext

-     public static class GroovyParser.MultipleAssignmentExprAltContext
      extends ExpressionContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `VariableNamesContext` | `left` |
    `Token` | `op` |
    `StatementExpressionContext` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MultipleAssignmentExprAltContext(ExpressionContext ctx)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ASSIGN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public StatementExpressionContext` | `statementExpression()`
    `` | `public VariableNamesContext` | `variableNames()`

- - ### Field Detail

    - #### public VariableNamesContext left

    - #### public Token op

    - #### public StatementExpressionContext right

  - ### Constructor Detail

    - #### public MultipleAssignmentExprAltContext(ExpressionContext ctx)

  - ### Method Detail

    - #### public TerminalNode ASSIGN()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public StatementExpressionContext statementExpression()

    - #### public VariableNamesContext variableNames()